Bug 257129 - net/libstorj: Deprecate port
Summary: net/libstorj: Deprecate port
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: John Hixson
URL: https://github.com/Storj/libstorj
Keywords:
Depends on:
Blocks:
 
Reported: 2021-07-12 08:12 UTC by Daniel Engberg
Modified: 2021-09-04 21:45 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (jhixson)


Attachments
Patch for libstorj (459 bytes, patch)
2021-07-12 08:12 UTC, Daniel Engberg
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Engberg freebsd_committer 2021-07-12 08:12:44 UTC
Created attachment 226386 [details]
Patch for libstorj

Project is deprecated upstream as they're moving v3 architecture.
Comment 1 Daniel Engberg freebsd_committer 2021-08-17 09:20:01 UTC
Friendly ping
Comment 2 commit-hook freebsd_committer 2021-09-04 21:44:41 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=43aecf3caff44ffb8aa87474d2728d8bda3c95ef

commit 43aecf3caff44ffb8aa87474d2728d8bda3c95ef
Author:     Daniel Engberg <diizzy@FreeBSD.org>
AuthorDate: 2021-09-04 21:40:23 +0000
Commit:     Daniel Engberg <diizzy@FreeBSD.org>
CommitDate: 2021-09-04 21:42:58 +0000

    net/libstorj: Deprecate port and set expiration date to 2021-12-31

    Deprecated upstream

    Reference: https://github.com/storj/libstorj

    Maintainer timeout

    PR:     257129
    Approved by:    tcberner (mentor)
    Differential Revision:  https://reviews.freebsd.org/D31701

 net/storj/Makefile | 3 +++
 1 file changed, 3 insertions(+)
Comment 3 Daniel Engberg freebsd_committer 2021-09-04 21:45:18 UTC
Committed (maintainer timeout)